import 'package:flutter/material.dart';

class EzText extends StatefulWidget {
  final String Text;
  final double fontSize;
  final FontWeight fontWeight;
  final Color textColor;
  final String fontFamily;
  final double textHeight;
  final double letterSpacing;
  final TextOverflow overflow;
  final double wordSpacing;
  final TextAlign textAlign;
  final TextDirection textDirection;
  final EdgeInsets margin;

  const EzText({
    Key? key,
    required this.Text,
    required this.fontSize,
    required this.fontWeight,
    required this.textColor,
    required this.fontFamily,
    required this.textHeight,
    required this.letterSpacing,
    required this.overflow,
    required this.wordSpacing,
    required this.textAlign,
    required this.textDirection,
    required this.margin,
  }) : super(key: key);
  @override
  _EzTextState createState() => _EzTextState();
}

class _EzTextState extends State<EzText> {
  @override
  Widget build(BuildContext context) {
    return Container(
      margin: widget.margin,
      child: Text(
        widget.Text,
        textAlign: widget.textAlign,
        textDirection: widget.textDirection,
        style: TextStyle(
          fontSize: widget.fontSize,
          fontWeight: widget.fontWeight,
          color: widget.textColor,
          fontFamily: widget.fontFamily,
          height: widget.textHeight,
          letterSpacing: widget.letterSpacing,
          overflow: widget.overflow,
          wordSpacing: widget.wordSpacing,
        ),
      ),
    );
  }
}
